SQL ERROR: слетел мод, что конкретно он просит сделать для восстановления?

Список разделов phpBBex 1.x Поддержка 1.x

Описание: У вас проблемы с phpBBex 1.x и вам необходима помощь? Спрашивайте здесь!
Правила раздела: Одна тема — один вопрос или группа связанных вопросов. Обязательно формируйте внятный заголовок, максимально отражающий суть вопроса. Подробно описывайте проблему. Не забудьте указать версию phpBBex и какие моды установлены, по возможности добавьте скриншоты проблемы или ссылку на страницу с проблемой.
Модератор: Поддержка

Сообщение #1 Lona » 06.09.2018, 20:50

При попытке зайти в админке в раздел "личные сообщения" (просмотр ЛС пользователей), система пишет:

Спойлер
SQL ERROR [ mysqli ]

Incorrect key file for table '/tmp/#sql_6da7_0.MYI'; try to repair it [126]

SQL

SELECT p.*, u.username, t.user_id, GROUP_CONCAT(t.folder_id) AS to_folder_id FROM (phpbb_privmsgs p) LEFT JOIN phpbb_users u ON (p.author_id = u.user_id) LEFT JOIN phpbb_privmsgs_to t ON (p.msg_id = t.msg_id) WHERE t.pm_deleted != 1 GROUP BY t.msg_id ORDER BY msg_id DESC LIMIT 50

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/db/dbal.php
LINE: 757
CALL: trigger_error()

FILE: [ROOT]/includes/db/mysqli.php
LINE: 189
CALL: dbal->sql_error()

FILE: [ROOT]/includes/db/mysqli.php
LINE: 231
CALL: dbal_mysqli->sql_query()

FILE: [ROOT]/includes/db/dbal.php
LINE: 170
CALL: dbal_mysqli->_sql_query_limit()

FILE: [ROOT]/includes/acp/acp_privmsgs_mod.php
LINE: 468
CALL: dbal->sql_query_limit()

FILE: [ROOT]/includes/functions_module.php
LINE: 510
CALL: acp_privmsgs_mod->main()

FILE: [ROOT]/adm/index.php
LINE: 74
CALL: p_master->load_active
Последний раз редактировалось Lona 09.09.2018, 03:55, всего редактировалось 1 раз.
Lona
Автор темы, Мастер
Аватара
Репутация: 13
С нами: 8 лет 11 месяцев

Сообщение #2 Sumanai » 06.09.2018, 23:29

Что за расширение?
Использование поиска продлевает жизнь.
Это форум поддержки форка phpBBex. Поддержка по phpBB осуществляется в других местах.
Sumanai M
Гуру
Аватара
Репутация: 1677
С нами: 9 лет 4 месяца

Сообщение #3 Lona » 07.09.2018, 00:44

Lona
Автор темы, Мастер
Аватара
Репутация: 13
С нами: 8 лет 11 месяцев

Сообщение #4 sag-sag » 07.09.2018, 10:02

Lona, Ну так это же мод для phpBBex 1.9.1.

  • phpBBex 1.9.1 (основан на phpBB 3.0.14) (моды)
  • phpBB 2.0.4 (основанный на phpBB 3.1.9) (расширения)

В phpBBex 2.0.4 уже нет модов, а есть расширения и способ установки уже совсем другой, намного более простой и безпроблемный.
Моды от phpBBex 1.9.1, не подойдут для phpBB 2.0.4.

Расширения надо смотреть на офф форуме.
Заметки администратора [TEHADM.RU]
sag-sag M
Гуру
Аватара
Возраст: 35
Репутация: 411
С нами: 8 лет 10 месяцев

Сообщение #5 Lona » 07.09.2018, 14:48

sag-sag:это же мод для phpBBex 1.9.1.
Да, речь о форуме на 1.9.
(разделы перепутала :insane: - перенесите, если можно, в раздел по поддержке 1.х. Вопрос актуален)
Lona
Автор темы, Мастер
Аватара
Репутация: 13
С нами: 8 лет 11 месяцев

Сообщение #6 Lona » 13.09.2018, 05:47

Скачала файлы и БД форума, который выдаёт описанную в первом посте ошибку.
С удивлением обнаружила, что на локальном сервере этой ошибки нет :weirdface:

На хостинговом сервере ошибка сохраняется.
У кого есть соображения, что это за ошибка, как её исправить?
Lona
Автор темы, Мастер
Аватара
Репутация: 13
С нами: 8 лет 11 месяцев


Вернуться в Поддержка 1.x